#include "Gris.h"

void TablToGris(Piquesel** tableau,char* sortie,int taille0,int taille1){
	FILE* image = NULL;
	int i,j,k;
	image = fopen(sortie,"w+");
	int taille[2] = {0};
	taille[0]=taille0;
	taille[1]=taille1;
//On écrit dans un nouveau fichier les données de base d'une image PPM
	fprintf(image, "P3\n");
	fprintf(image, "%d %d\n", taille[0],taille[1]);
	fprintf(image, "255\n");

//On modifie chaque couleur (RGB) de chaque pixel puis on écrit le nouveau pixel
		for (i=0 ; i<taille[1] ; i++){
			for (j=0; j<taille[0]; j++){
				k=((tableau[i][j]).Red)*0.299+((tableau[i][j]).Green)*0.587+((tableau[i][j]).Blue)*0.114;
					fprintf(image, "%d\n", k);
					fprintf(image, "%d\n", k);
					fprintf(image, "%d\n", k);
			}
		}
    fclose(image);
}

